[Testing Update] 2018-02-09 - KDE Apps, LibreOffice, Fixed WLAN issues of v4.15

update
testing

#1

Hi community,

this is rather a little smaller than yesterdays update. We have the following changes made to our repos:

  • Added KDE Apps v17.12.2
  • LibreOffice updated to v5.4.5 (v6.0.1 will follow)
  • Fixed issue with WLAN drivers in our v4.15 kernel series
  • Usual upstream updates

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.53
  • linux318 3.18.94 [EOL]
  • linux41 4.1.48
  • linux44 4.4.116
  • linux49 4.9.89
  • linux414 4.14.18
  • linux415 4.15.2
  • linux-RT-LTS 4.14.15_rt13
  • linux-RT 4.14.15_rt13

Package Updates (Fri Feb 9 20:32:22 CET 2018)

  • testing community x86_64: 70 new and 70 removed package(s)
  • testing core x86_64: 2 new and 2 removed package(s)
  • testing extra x86_64: 365 new and 365 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-08           2018-02-09
-------------------------------------------------------------------------------
                        compton-conf              0.2.1-5              0.3.0-1
                 manjaro-aur-support                0.6-2                0.6-3
             manjaro-deepin-settings           20180204-1           20180209-1
                     update-notifier              0.7.2-2              0.7.2-3


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-08           2018-02-09
-------------------------------------------------------------------------------
                             aws-cli            1.14.34-1            1.14.35-1
                             calibre             3.16.0-1             3.17.0-1
                               cjdns                 20-2               20.1-1
                         deepin-dock             4.5.11-1             4.5.12-1
                            diffstat               1.61-1               1.61-2
                                 dmd          1:2.078.1-1          1:2.078.2-1
                            dmd-docs          1:2.078.1-1          1:2.078.2-1
                              dtools            2.078.0-2            2.078.2-1
                                 dub              1.7.1-1              1.7.2-1
                              gaupol                1.2-1              1.3.1-1
                            geogebra          5.0.414.0-1          6.0.427.0-1
                      gnome-software             3.26.5-2             3.26.6-1
    gnome-software-packagekit-plugin             3.26.5-2             3.26.6-1
                               gpick              0.2.5-6           0.2.6rc1-1
                              gradle                4.5-1              4.5.1-1
                          gradle-doc                4.5-1              4.5.1-1
                          gradle-src                4.5-1              4.5.1-1
                             hostapd                2.6-6                2.6-7
                                jmol            14.29.3-1            14.29.5-1
                            kmymoney            4.8.1.1-1              5.0.0-2
                          libalkimia              5.0.0-1                7.0-3
                          libclastfm                0.5-3                0.5-4
                           libphobos          1:2.078.1-1          1:2.078.2-1
                             mathjax              2.7.2-1              2.7.3-1
                          metasploit            4.16.34-1            4.16.36-1
                                mksh               56.b-1               56.c-1
                               mlton           20170725-3           20180207-1
                             neomutt           20171215-2           20171215-3
                 nextcloud-app-tasks              0.9.6-1              0.9.6-2
                       nss-pam-ldapd              0.9.8-2              0.9.8-3
                       open-vm-tools           6:10.2.0-1           6:10.2.0-2
                           pcsc-perl             1.4.14-5             1.4.14-6
                  perl-text-template               1.48-1               1.49-1
                        python-boto3             1.5.24-1             1.5.25-1
                     python-botocore             1.8.38-1             1.8.39-1
                 python-phonenumbers             8.8.10-1             8.8.11-1
                       python-pycdio               0.21-2              2.0.0-1
                       python-ropper             1.11.4-1             1.11.6-1
                    python-webcolors                1.7-1                1.8-1
                python2-phonenumbers             8.8.10-1             8.8.11-1
                      python2-pycdio               0.21-2              2.0.0-1
                      python2-ropper             1.11.4-1             1.11.6-1
                   python2-webcolors                1.7-1                1.8-1
                             radare2              2.2.0-1              2.3.0-1
                              ropper             1.11.4-1             1.11.6-1
                          ruby-async              1.2.0-2              1.2.2-1
                       ruby-async-io              1.0.0-2              1.2.1-1
          ruby-jekyll-sass-converter              1.5.1-2              1.5.2-1
                           ruby-rack              2.0.3-2              2.0.4-1
                          ruby-rouge              3.1.0-1              3.1.1-1
                  ruby-rspec-support              3.7.0-2              3.7.1-1
                              sqlmap                1.2-1              1.2.2-1
                           syncthing            0.14.43-1            0.14.44-1
                   syncthing-inotify              0.8.7-2                    -
                  syncthing-relaysrv            0.14.43-1            0.14.44-1
                              udevil              0.4.4-1              0.4.4-2
                           uglify-js              3.3.9-1             3.3.10-1
                       vim-gitgutter        416.1e60667-1        417.932ffac-1
                       wireshark-cli              2.4.4-1              2.5.0-1
                    wireshark-common              2.4.4-1              2.5.0-1
                       wireshark-gtk              2.4.4-1              2.5.0-1
                        wireshark-qt              2.4.4-1              2.5.0-1
                             you-get           0.4.1011-1           0.4.1025-1
                          youtube-dl         2018.02.04-1         2018.02.08-1
                      youtube-viewer            1:3.3.1-1            1:3.3.3-1
             yubikey-personalization             1.18.1-1             1.18.1-2
                            hashdeep                    -                4.4-4


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-08           2018-02-09
-------------------------------------------------------------------------------
                            linux415             4.15.2-1             4.15.2-2
                    linux415-headers             4.15.2-1             4.15.2-2


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-08           2018-02-09
-------------------------------------------------------------------------------
                  linux415-acpi_call              1.1.0-2              1.1.0-3
                   linux415-bbswitch                0.8-2                0.8-3
                linux415-broadcom-wl       6.30.223.271-2       6.30.223.271-3
                   linux415-catalyst      1:15.201.1151-2      1:15.201.1151-3
                linux415-ndiswrapper               1.61-2               1.61-3
                     linux415-nvidia           1:390.25-2           1:390.25-3
               linux415-nvidia-304xx          1:304.137-2          1:304.137-3
               linux415-nvidia-340xx            340.106-2            340.106-3
                   linux415-nvidiabl               0.88-2               0.88-3
                      linux415-r8168           8.045.08-2           8.045.08-3
                        linux415-spl              0.7.5-2              0.7.5-3
                   linux415-tp_smapi               0.41-2               0.41-3
                linux415-vhba-module           20161009-2           20161009-3
   linux415-virtualbox-guest-modules              5.2.6-2              5.2.6-3
    linux415-virtualbox-host-modules              5.2.6-2              5.2.6-3
                        linux415-zfs              0.7.5-2              0.7.5-3


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-02-08           2018-02-09
-------------------------------------------------------------------------------
                             akonadi            17.12.1-1            17.12.2-1
                    akonadi-calendar            17.12.1-1            17.12.2-1
              akonadi-calendar-tools            17.12.1-1            17.12.2-1
                    akonadi-contacts            17.12.1-1            17.12.2-1
               akonadi-import-wizard            17.12.1-1            17.12.2-1
                        akonadi-mime            17.12.1-1            17.12.2-1
                       akonadi-notes            17.12.1-1            17.12.2-1
                      akonadi-search            17.12.1-1            17.12.2-1
                      akonadiconsole            17.12.1-1            17.12.2-1
                           akregator            17.12.1-1            17.12.2-1
                            analitza            17.12.1-1            17.12.2-1
                                 ark            17.12.1-1            17.12.2-1
                          artikulate            17.12.1-1            17.12.2-1
                         audiocd-kio            17.12.1-1            17.12.2-1
                       baloo-widgets            17.12.1-1            17.12.2-1
                             blinken            17.12.1-1            17.12.2-1
                              bomber            17.12.1-1            17.12.2-1
                                bovo            17.12.1-1            17.12.2-1
                     calendarsupport            17.12.1-1            17.12.2-1
                     cantarell-fonts           1:0.0.25-3            1:0.100-1
                              cantor            17.12.1-2            17.12.2-1
                            cervisia            17.12.1-1            17.12.2-1
                             dolphin            17.12.1-1            17.12.2-1
                     dolphin-plugins            17.12.1-1            17.12.2-1
                              dragon            17.12.1-1            17.12.2-1
                               emacs               25.3-2               25.3-3
                          eventviews            17.12.1-1            17.12.2-1
                        ffmpegthumbs            17.12.1-1            17.12.2-1
                           filelight            17.12.1-1            17.12.2-1
                             freeciv              2.5.9-1             2.5.10-1
                           granatier            17.12.1-1            17.12.2-1
                     grantlee-editor            17.12.1-1            17.12.2-1
                       grantleetheme            17.12.1-1            17.12.2-1
                                gvim           8.0.1436-1           8.0.1476-1
                            gwenview            17.12.1-1            17.12.2-1
                     incidenceeditor            17.12.1-1            17.12.2-1
                                 juk            17.12.1-2            17.12.2-1
                                 k3b          1:17.12.1-1          1:17.12.2-1
               kaccounts-integration            17.12.1-1            17.12.2-1
                 kaccounts-providers            17.12.1-1            17.12.2-1
                        kaddressbook            17.12.1-1            17.12.2-1
                             kajongg            17.12.1-1            17.12.2-1
                              kalarm            17.12.1-1            17.12.2-1
                           kalarmcal            17.12.1-1            17.12.2-1
                            kalgebra            17.12.1-1            17.12.2-1
                             kalzium            17.12.1-1            17.12.2-1
                              kamera            17.12.1-1            17.12.2-1
                            kanagram            17.12.1-1            17.12.2-1
                              kapman            17.12.1-1            17.12.2-1
                        kapptemplate            17.12.1-1            17.12.2-1
                                kate            17.12.1-1            17.12.2-1
                             katomic            17.12.1-1            17.12.2-1
                           kblackbox            17.12.1-1            17.12.2-1
                             kblocks            17.12.1-1            17.12.2-1
                               kblog            17.12.1-1            17.12.2-1
                             kbounce            17.12.1-1            17.12.2-1
                           kbreakout            17.12.1-1            17.12.2-1
                              kbruch            17.12.1-1            17.12.2-1
                         kcachegrind            17.12.1-1            17.12.2-1
                               kcalc            17.12.1-1            17.12.2-1
                            kcalcore            17.12.1-1            17.12.2-1
                           kcalutils            17.12.1-1            17.12.2-1
                         kcharselect            17.12.1-1            17.12.2-1
                       kcolorchooser            17.12.1-1            17.12.2-1
                           kcontacts            17.12.1-1            17.12.2-1
                               kcron            17.12.1-1            17.12.2-1
                                kdav            17.12.1-1            17.12.2-1
                     kde-dev-scripts            17.12.1-1            17.12.2-1
                       kde-dev-utils            17.12.1-1            17.12.2-1
                     kde-syndication            17.12.1-1            17.12.2-1
                      kdebugsettings            17.12.1-1            17.12.2-1
                         kdeedu-data            17.12.1-1            17.12.2-1
              kdegraphics-mobipocket            17.12.1-1            17.12.2-1
            kdegraphics-thumbnailers            17.12.1-1            17.12.2-1
              kdenetwork-filesharing            17.12.1-1            17.12.2-1
                            kdenlive            17.12.1-1            17.12.2-1
                       kdepim-addons            17.12.1-1            17.12.2-1
                    kdepim-apps-libs            17.12.1-1            17.12.2-1
                      kdepim-runtime            17.12.1-1            17.12.2-1
                    kdesdk-kioslaves            17.12.1-1            17.12.2-1
                 kdesdk-thumbnailers            17.12.1-1            17.12.2-1
                                 kdf            17.12.1-1            17.12.2-1
                             kdialog            17.12.1-1            17.12.2-1
                            kdiamond            17.12.1-1            17.12.2-1
                      keditbookmarks            17.12.1-1            17.12.2-1
                               kfind            17.12.1-1            17.12.2-1
                             kfloppy            17.12.1-1            17.12.2-1
                         kfourinline            17.12.1-1            17.12.2-1
                          kgeography            17.12.1-1            17.12.2-1
                                kget            17.12.1-1            17.12.2-1
                         kgoldrunner            17.12.1-1            17.12.2-1
                                kgpg            17.12.1-1            17.12.2-1
                            khangman            17.12.1-1            17.12.2-1
                         khelpcenter            17.12.1-1            17.12.2-1
                 kidentitymanagement            17.12.1-1            17.12.2-1
                                 kig            17.12.1-1            17.12.2-1
                                kigo            17.12.1-1            17.12.2-1
                            killbots            17.12.1-1            17.12.2-1
                     kimagemapeditor            17.12.1-1            17.12.2-1
                               kimap            17.12.1-1            17.12.2-1
                          kio-extras            17.12.1-1            17.12.2-1
                              kiriki            17.12.1-1            17.12.2-1
                               kiten            17.12.1-1            17.12.2-1
                        kjumpingcube            17.12.1-1            17.12.2-1
                               kldap            17.12.1-1            17.12.2-1
                           kleopatra            17.12.1-1            17.12.2-1
                            klettres            17.12.1-1            17.12.2-1
                            klickety            17.12.1-1            17.12.2-1
                              klines            17.12.1-1            17.12.2-1
                                kmag            17.12.1-1            17.12.2-1
                           kmahjongg            17.12.1-1            17.12.2-1
                               kmail            17.12.1-1            17.12.2-1
                kmail-account-wizard            17.12.1-1            17.12.2-1
                      kmailtransport            17.12.1-1            17.12.2-1
                               kmbox            17.12.1-1            17.12.2-1
                               kmime            17.12.1-1            17.12.2-1
                              kmines            17.12.1-1            17.12.2-1
                                kmix            17.12.1-1            17.12.2-1
                          kmousetool            17.12.1-1            17.12.2-1
                              kmouth            17.12.1-1            17.12.2-1
                              kmplot            17.12.1-1            17.12.2-1
                        knavalbattle            17.12.1-1            17.12.2-1
                            knetwalk            17.12.1-1            17.12.2-1
                              knotes            17.12.1-1            17.12.2-1
                                kolf            17.12.1-1            17.12.2-1
                           kollision            17.12.1-1            17.12.2-1
                         kolourpaint            17.12.1-1            17.12.2-1
                             kompare            17.12.1-1            17.12.2-1
                           konqueror            17.12.1-1            17.12.2-1
                            konquest            17.12.1-1            17.12.2-1
                             konsole            17.12.1-2            17.12.2-1
                             kontact            17.12.1-1            17.12.2-1
                    kontactinterface            17.12.1-1            17.12.2-1
                          korganizer            17.12.1-1            17.12.2-1
                           kpatience            17.12.1-1            17.12.2-1
                        kpimtextedit            17.12.1-1            17.12.2-1
                      kqtquickcharts            17.12.1-2            17.12.2-1
                                krdc            17.12.1-1            17.12.2-1
                            kreversi            17.12.1-1            17.12.2-1
                                krfb            17.12.1-1            17.12.2-1
                  kross-interpreters            17.12.1-1            17.12.2-1
                              kruler            17.12.1-1            17.12.2-1
                             kshisen            17.12.1-1            17.12.2-1
                               ksirk            17.12.1-1            17.12.2-1
                               ksmtp            17.12.1-1            17.12.2-1
                          ksnakeduel            17.12.1-1            17.12.2-1
                          kspaceduel            17.12.1-1            17.12.2-1
                            ksquares            17.12.1-1            17.12.2-1
                             ksudoku            17.12.1-1            17.12.2-1
                          ksystemlog            17.12.1-1            17.12.2-1
                            kteatime            17.12.1-1            17.12.2-1
                              ktimer            17.12.1-1            17.12.2-1
                              ktouch            17.12.1-1            17.12.2-1
                          ktuberling            17.12.1-1            17.12.2-1
                             kturtle            17.12.1-1            17.12.2-1
                             kubrick            17.12.1-1            17.12.2-1
                      kwalletmanager            17.12.1-1            17.12.2-1
                               kwave            17.12.1-1            17.12.2-1
                           kwordquiz            17.12.1-1            17.12.2-1
                              kwrite            17.12.1-1            17.12.2-1
                         libgravatar            17.12.1-1            17.12.2-1
                            libkcddb            17.12.1-1            17.12.2-1
                     libkcompactdisc            17.12.1-1            17.12.2-1
                           libkdcraw            17.12.1-1            17.12.2-1
                         libkdegames            17.12.1-1            17.12.2-1
                           libkdepim            17.12.1-1            17.12.2-1
                  libkeduvocdocument            17.12.1-1            17.12.2-1
                           libkexiv2            17.12.1-1            17.12.2-1
                            libkgapi            17.12.1-2            17.12.2-1
                          libkgeomap            17.12.1-1            17.12.2-1
                             libkipi            17.12.1-1            17.12.2-1
                             libkleo            17.12.1-1            17.12.2-1
                        libkmahjongg            17.12.1-1            17.12.2-1
                     libkomparediff2            17.12.1-1            17.12.2-1
                            libksane            17.12.1-1            17.12.2-1
                           libksieve            17.12.1-1            17.12.2-1
                            libktnef            17.12.1-1            17.12.2-1
                              libotf             0.9.13-2             0.9.16-1
                   libreoffice-still              5.4.4-1              5.4.5-1
                libreoffice-still-af              5.4.4-1              5.4.5-1
                libreoffice-still-am              5.4.4-1              5.4.5-1
                libreoffice-still-ar              5.4.4-1              5.4.5-1
                libreoffice-still-as              5.4.4-1              5.4.5-1
               libreoffice-still-ast              5.4.4-1              5.4.5-1
                libreoffice-still-be              5.4.4-1              5.4.5-1
                libreoffice-still-bg              5.4.4-1              5.4.5-1
                libreoffice-still-bn              5.4.4-1              5.4.5-1
             libreoffice-still-bn-IN              5.4.4-1              5.4.5-1
                libreoffice-still-bo              5.4.4-1              5.4.5-1
                libreoffice-still-br              5.4.4-1              5.4.5-1
               libreoffice-still-brx              5.4.4-1              5.4.5-1
                libreoffice-still-bs              5.4.4-1              5.4.5-1
                libreoffice-still-ca              5.4.4-1              5.4.5-1
       libreoffice-still-ca-valencia              5.4.4-1              5.4.5-1
                libreoffice-still-cs              5.4.4-1              5.4.5-1
                libreoffice-still-cy              5.4.4-1              5.4.5-1
                libreoffice-still-da              5.4.4-1              5.4.5-1
                libreoffice-still-de              5.4.4-1              5.4.5-1
               libreoffice-still-dgo              5.4.4-1              5.4.5-1
                libreoffice-still-dz              5.4.4-1              5.4.5-1
                libreoffice-still-el              5.4.4-1              5.4.5-1
             libreoffice-still-en-GB              5.4.4-1              5.4.5-1
             libreoffice-still-en-ZA              5.4.4-1              5.4.5-1
                libreoffice-still-eo              5.4.4-1              5.4.5-1
                libreoffice-still-es              5.4.4-1              5.4.5-1
                libreoffice-still-et              5.4.4-1              5.4.5-1
                libreoffice-still-eu              5.4.4-1              5.4.5-1
                libreoffice-still-fa              5.4.4-1              5.4.5-1
                libreoffice-still-fi              5.4.4-1              5.4.5-1
                libreoffice-still-fr              5.4.4-1              5.4.5-1
                libreoffice-still-ga              5.4.4-1              5.4.5-1
                libreoffice-still-gd              5.4.4-1              5.4.5-1
                libreoffice-still-gl              5.4.4-1              5.4.5-1
                libreoffice-still-gu              5.4.4-1              5.4.5-1
                libreoffice-still-he              5.4.4-1              5.4.5-1
                libreoffice-still-hi              5.4.4-1              5.4.5-1
                libreoffice-still-hr              5.4.4-1              5.4.5-1
                libreoffice-still-hu              5.4.4-1              5.4.5-1
                libreoffice-still-id              5.4.4-1              5.4.5-1
                libreoffice-still-is              5.4.4-1              5.4.5-1
                libreoffice-still-it              5.4.4-1              5.4.5-1
                libreoffice-still-ja              5.4.4-1              5.4.5-1
                libreoffice-still-ka              5.4.4-1              5.4.5-1
                libreoffice-still-kk              5.4.4-1              5.4.5-1
                libreoffice-still-km              5.4.4-1              5.4.5-1
          libreoffice-still-kmr-Latn              5.4.4-1              5.4.5-1
                libreoffice-still-kn              5.4.4-1              5.4.5-1
                libreoffice-still-ko              5.4.4-1              5.4.5-1
               libreoffice-still-kok              5.4.4-1              5.4.5-1
                libreoffice-still-ks              5.4.4-1              5.4.5-1
                libreoffice-still-lb              5.4.4-1              5.4.5-1
                libreoffice-still-lo              5.4.4-1              5.4.5-1
                libreoffice-still-lt              5.4.4-1              5.4.5-1
                libreoffice-still-lv              5.4.4-1              5.4.5-1
               libreoffice-still-mai              5.4.4-1              5.4.5-1
                libreoffice-still-mk              5.4.4-1              5.4.5-1
                libreoffice-still-ml              5.4.4-1              5.4.5-1
                libreoffice-still-mn              5.4.4-1              5.4.5-1
               libreoffice-still-mni              5.4.4-1              5.4.5-1
                libreoffice-still-mr              5.4.4-1              5.4.5-1
                libreoffice-still-my              5.4.4-1              5.4.5-1
                libreoffice-still-nb              5.4.4-1              5.4.5-1
                libreoffice-still-ne              5.4.4-1              5.4.5-1
                libreoffice-still-nl              5.4.4-1              5.4.5-1
                libreoffice-still-nn              5.4.4-1              5.4.5-1
                libreoffice-still-nr              5.4.4-1              5.4.5-1
               libreoffice-still-nso              5.4.4-1              5.4.5-1
                libreoffice-still-oc              5.4.4-1              5.4.5-1
                libreoffice-still-om              5.4.4-1              5.4.5-1
                libreoffice-still-or              5.4.4-1              5.4.5-1
             libreoffice-still-pa-IN              5.4.4-1              5.4.5-1
                libreoffice-still-pl              5.4.4-1              5.4.5-1
                libreoffice-still-pt              5.4.4-1              5.4.5-1
             libreoffice-still-pt-BR              5.4.4-1              5.4.5-1
                libreoffice-still-ro              5.4.4-1              5.4.5-1
                libreoffice-still-ru              5.4.4-1              5.4.5-1
                libreoffice-still-rw              5.4.4-1              5.4.5-1
             libreoffice-still-sa-IN              5.4.4-1              5.4.5-1
               libreoffice-still-sat              5.4.4-1              5.4.5-1
                libreoffice-still-sd              5.4.4-1              5.4.5-1
               libreoffice-still-sdk              5.4.4-1              5.4.5-1
                libreoffice-still-si              5.4.4-1              5.4.5-1
               libreoffice-still-sid              5.4.4-1              5.4.5-1
                libreoffice-still-sk              5.4.4-1              5.4.5-1
                libreoffice-still-sl              5.4.4-1              5.4.5-1
                libreoffice-still-sq              5.4.4-1              5.4.5-1
                libreoffice-still-sr              5.4.4-1              5.4.5-1
           libreoffice-still-sr-Latn              5.4.4-1              5.4.5-1
                libreoffice-still-ss              5.4.4-1              5.4.5-1
                libreoffice-still-st              5.4.4-1              5.4.5-1
                libreoffice-still-sv              5.4.4-1              5.4.5-1
             libreoffice-still-sw-TZ              5.4.4-1              5.4.5-1
                libreoffice-still-ta              5.4.4-1              5.4.5-1
                libreoffice-still-te              5.4.4-1              5.4.5-1
                libreoffice-still-tg              5.4.4-1              5.4.5-1
                libreoffice-still-th              5.4.4-1              5.4.5-1
                libreoffice-still-tn              5.4.4-1              5.4.5-1
                libreoffice-still-tr              5.4.4-1              5.4.5-1
                libreoffice-still-ts              5.4.4-1              5.4.5-1
                libreoffice-still-tt              5.4.4-1              5.4.5-1
                libreoffice-still-ug              5.4.4-1              5.4.5-1
                libreoffice-still-uk              5.4.4-1              5.4.5-1
                libreoffice-still-uz              5.4.4-1              5.4.5-1
                libreoffice-still-ve              5.4.4-1              5.4.5-1
                libreoffice-still-vi              5.4.4-1              5.4.5-1
                libreoffice-still-xh              5.4.4-1              5.4.5-1
             libreoffice-still-zh-CN              5.4.4-1              5.4.5-1
             libreoffice-still-zh-TW              5.4.4-1              5.4.5-1
                libreoffice-still-zu              5.4.4-1              5.4.5-1
                          libxnvctrl             387.34-1             390.25-1
                            lokalize            17.12.1-1            17.12.2-1
                               lskat            17.12.1-1            17.12.2-1
                            m17n-lib              1.7.0-1              1.7.0-2
                          mailcommon            17.12.1-1            17.12.2-1
                        mailimporter            17.12.1-1            17.12.2-1
                              marble            17.12.1-1            17.12.2-1
                       marble-common            17.12.1-1            17.12.2-1
                           marble-qt            17.12.1-1            17.12.2-1
                       mbox-importer            17.12.1-1            17.12.2-1
                          messagelib            17.12.1-1            17.12.2-1
                              minuet            17.12.1-1            17.12.2-1
                              okteta            17.12.1-1            17.12.2-1
                              okular            17.12.1-1            17.12.2-1
                            palapeli            17.12.1-1            17.12.2-1
                              parley            17.12.1-1            17.12.2-1
                      perl-dbd-mysql              4.043-3              4.046-1
                        perl-net-dns               1.14-1               1.15-1
                          phonon-qt4              4.9.1-4              4.9.1-5
                phonon-qt4-gstreamer              4.9.0-3              4.9.0-4
                      phonon-qt4-vlc              0.9.1-2              0.9.1-3
                          phonon-qt5              4.9.1-4              4.9.1-5
                phonon-qt5-gstreamer              4.9.0-3              4.9.0-4
                      phonon-qt5-vlc              0.9.1-2              0.9.1-3
                               picmi            17.12.1-1            17.12.2-1
                   pim-data-exporter            17.12.1-1            17.12.2-1
                    pim-sieve-editor            17.12.1-1            17.12.2-1
                           pimcommon            17.12.1-1            17.12.2-1
                          polkit-qt40.112.0+git20160226-10.112.0+git20180107-1
                          polkit-qt50.112.0+git20160226-10.112.0+git20180107-1
                               poxml            17.12.1-1            17.12.2-1
                       print-manager            17.12.1-1            17.12.2-1
                                qpdf              7.1.0-1              7.1.1-1
                                rocs            17.12.1-1            17.12.2-1
            signon-kwallet-extension            17.12.1-1            17.12.2-1
                           spectacle            17.12.1-1            17.12.2-1
                         spirv-tools             2017.2-1             2018.0-1
                                step            17.12.1-2            17.12.2-1
                             svgpart            17.12.1-1            17.12.2-1
                             sweeper            17.12.1-1            17.12.2-1
          telepathy-kde-accounts-kcm            17.12.1-1            17.12.2-1
              telepathy-kde-approver            17.12.1-1            17.12.2-1
          telepathy-kde-auth-handler            17.12.1-1            17.12.2-1
               telepathy-kde-call-ui            17.12.1-1            17.12.2-1
      telepathy-kde-common-internals            17.12.1-1            17.12.2-1
          telepathy-kde-contact-list            17.12.1-1            17.12.2-1
        telepathy-kde-contact-runner            17.12.1-1            17.12.2-1
       telepathy-kde-desktop-applets            17.12.1-1            17.12.2-1
  telepathy-kde-filetransfer-handler            17.12.1-1            17.12.2-1
    telepathy-kde-integration-module            17.12.1-1            17.12.2-1
             telepathy-kde-send-file            17.12.1-1            17.12.2-1
               telepathy-kde-text-ui            17.12.1-1            17.12.2-1
                            umbrello            17.12.1-1            17.12.2-1
                                 vim           8.0.1436-1           8.0.1476-1
                         vim-runtime           8.0.1436-1           8.0.1476-1
                      vulkan-headers           1:1.0.66-1           1:1.0.68-1
                    vulkan-html-docs           1:1.0.66-1           1:1.0.68-1
                   vulkan-icd-loader           1.0.61.1-1           1.0.68.0-1
            vulkan-validation-layers           1.0.61.1-1           1.0.68.0-1
                    zeroconf-ioslave            17.12.1-1            17.12.2-1

  • No issues, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself. (Please post your solution)
  • Yes I am currently experiencing an issue due to the update. (Please post about it)

0 voters


Check if your mirror has already synced:


Cannot connect to internet? Stuck @ configuring interface
#2

Known issues and solutions

This is a wiki post; please edit as necessary.


My system won’t boot anymore after this update

Most likely you are using a freetype2 package from the AUR. Due the harfbuzz update, your system is broken. So either install the official supported freetype2 package from our repositories or downgrade to harfbuzz v1.7.4: sudo pacman -U https://archive.archlinux.org/packages/h/harfbuzz/harfbuzz-1.7.4-1-x86_64.pkg.tar.xz

You might try also try Freetype2-ultimate5 — fonts like in Infinality's ultimate5 which is a maintained package.


I get “error: command failed to execute correctly” during a GRUB update

Run sudo update-grub once more to ensure the command has worked correctly.


GNOME shell crashes

It’s probably an issue with an extension which needs to be updated. Disable them in turn until you find the one responsible.

If it’s when inserting USB drives, disable “Places Status Indicator”.


Font-Shadow issue within XFCE

Switch to another theme (e.g. Arc Maia), or execute the following cmd to fix the issue:

xfconf-query -c xfce4-desktop -p /desktop-icons/center-text -n -t bool -s false

This fixes the issue properly. (Can follow the links from Ask-Ubuntu #801478 to what exists for the xfce documentation.)

After the command is run the entry <property name="center-text" type="bool" value="false"/> is created under “desktop-icons” in /home/[user]/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-desktop.xml.


Firefox 58 won’t open

Please check this thread:


I don’t see any updates

That’s because your mirror is out of date. It can take several hours before a mirror get updated. If you want updates right now, run these commands :

sudo pacman-mirrors -f 3
sudo pacman -Syyu

You can always check the state of every mirrors here.


I get a black screen on boot or something doesn’t work

That’s probably because you have a partial set of updated packages. Switch to a text console using CTRL+ALT+F2, log in, then run the commands above.


An AUR package is stopping the update because of a conflict

Remove the AUR package, update, then reinstall the AUR package.


An AUR package says a key is invalid

You need to add the key to your keychain. Do a search of the forum, the answer has already been posted (several times :wink:).



#3

All updates have gone fine , thanks @philm and Manjaro Team… :smile:

Summary

[manjaro@manjaro-pc ~]$ inxi -FxxN
System: Host: manjaro-pc Kernel: 4.14.18-1-MANJARO x86_64 bits: 64 gcc: 7.3.0
Desktop: KDE Plasma 5.12.0 (Qt 5.10.0) dm: sddm,sddm Distro: Manjaro Linux
Machine: Device: laptop System: Dell product: Inspiron 5459 serial: N/A Chassis: type: 9 serial: N/A
Mobo: Dell model: 0TNRDT v: A00 serial: N/A UEFI [Legacy]: Dell v: 1.2.5 date: 10/06/2016
Battery BAT0: charge: 39.0 Wh 100.0% condition: 39.0/37.3 Wh (104%) volts: 16.8/14.8
model: Panasonic DELL 78V9D6A serial: 3572 status: Full
CPU: Dual core Intel Core i5-6200U (-MT-MCP-) arch: Skylake rev.3 cache: 3072 KB
flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 9602
clock speeds: min/max: 400/2800 MHz 1: 900 MHz 2: 900 MHz 3: 900 MHz 4: 900 MHz
Graphics: Card: Intel HD Graphics 520 bus-ID: 00:02.0 chip-ID: 8086:1916
Display Server: x11 (X.Org 1.19.6 ) drivers: intel (unloaded: modesetting)
Resolution: 1366x768@60.00hz
OpenGL: renderer: Mesa DRI Intel HD Graphics 520 (Skylake GT2)
version: 4.5 Mesa 17.3.3 (compat-v: 3.0) Direct Render: Yes
Audio: Card Intel Sunrise Point-LP HD Audio
driver: snd_hda_intel bus-ID: 00:1f.3 chip-ID: 8086:9d70
Sound: Advanced Linux Sound Architecture v: k4.14.18-1-MANJARO
Network: Card-1: Intel Wireless 3160 driver: iwlwifi bus-ID: 01:00.0 chip-ID: 8086:08b3
IF: wlp1s0 state: up mac: f4:06:69:ac:99:73
Card-2: Realtek RTL8101/2/6E PCIE Fast/Gigabit Ethernet controller
driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 02:00.0 chip-ID: 10ec:8136
IF: enp2s0 state: down mac: 18:db:f2:4f:b3:b5
Drives: HDD Total Size: 480.1GB (4.8% used)
ID-1: /dev/sda model: SanDisk_Ultra_II size: 480.1GB serial: 173040421585
Partition: ID-1: / size: 431G used: 14G (4%) fs: ext4 dev: /dev/sda1
ID-2: swap-1 size: 9.07GB used: 0.00GB (0%) fs: swap dev: /dev/sda2
Sensors: System Temperatures: cpu: 50.0C mobo: 25.0C
Fan Speeds (in rpm): cpu: N/A
Info: Processes: 166 Uptime: 18 min Memory: 1456.8/3650.6MB Init: systemd v: 237 Gcc sys: 7.3.0
Client: Shell (bash 4.4.181 running in konsole) inxi: 2.3.56
[manjaro@manjaro-pc ~]$


#4

All good. :+1:

I did notice the dots for password masking are much smaller than before on lightdm-gtk-greeter.


#5

Nothing new have been noticed so far.
Issues reported in 2018-02-08 Testing update are still here.


#6
warning: dependency cycle detected:
warning: phonon-qt5-gstreamer will be installed before its phonon-qt5 dependency
warning: dependency cycle detected:
warning: phonon-qt4-gstreamer will be installed before its phonon-qt4 dependency

[but update seemed to finish fine]


#7

I got these as well, but no errors during the actual installation.


#8

Just did the update, and KMyMoney 5.0 will not open.
When I try via command line I get the following error - kmymoney: error while loading shared libraries: libKF5Contacts.so.5: cannot open shared object file: No such file or directory

Suggestions.


#9

They are both on par with Arch repo pkg versions.
[kmymoney and kcontacts … which I assume you have]
You could of course just symlink the kf5contacts.so you do have to .5 and hope it works.


#10

I just downgraded the package to 4.8.1.
I’ll see what goes in a couple of days.


#11

I have just changed my Manjaro KDE VM from Stable to Testing branch, & i was keen to see the new KMM. It launched correctly for me; i did not need to downgrade back to its hitherto 4.8.1.

Hopefully then when my real Manjaro KDE’s Stable branch gets KMM 5, it will also launch well for me.

I wonder why your outcome was different?


#12

This library is included in kcontacts.

$ pkgfile -s libKF5Contacts.so.5
extra/kcontacts
$ pkgfile -l kcontacts | grep libKF5Contacts.so
extra/kcontacts /usr/lib/libKF5Contacts.so
extra/kcontacts /usr/lib/libKF5Contacts.so.5
extra/kcontacts /usr/lib/libKF5Contacts.so.5.7.1
$ pacman -Si kcontacts
Repository      : extra
Name            : kcontacts
Version         : 17.12.2-1
Description     : Address book API for KDE
Architecture    : x86_64
URL             : https://community.kde.org/KDE_PIM
Licenses        : LGPL
Groups          : None
Provides        : None
Depends On      : kcoreaddons  kconfig  ki18n  kcodecs
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 303.17 KiB
Installed Size  : 1467.00 KiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Tue 06 Feb 2018 22:12:19 AEDT
Validated By    : MD5 Sum  SHA-256 Sum  Signature

Which is not listed as a dependency of kmymoney, which is probably why not pulled in.

$ pacman -Si kmymoney
Repository      : community
Name            : kmymoney
Version         : 5.0.0-2
Description     : Personal finance manager for KDE which operates similarly to MS-Money or Quicken
Architecture    : x86_64
URL             : https://kmymoney.org/
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : aqbanking  boost-libs  libalkimia  sqlcipher  qt5-base  qgpgme  karchive  kcoreaddons
                  kconfig  kwidgetsaddons  ki18n  kcompletion  kcmutils  kitemmodels  kitemviews  kservice
                  kwallet  kiconthemes  kxmlgui  kidentitymanagement  ktextwidgets  knotifications  kio
                  kdoctools  kholidays  kross  kactivities  kqtquickcharts  kdiagram  kdewebkit  libical
                  akonadi  shared-mime-info
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 14.80 MiB
Installed Size  : 38.35 MiB
Packager        : Jaroslav Lichtblau <svetlemodry@archlinux.org>
Build Date      : Sat 10 Feb 2018 05:12:33 AEDT
Validated By    : MD5 Sum  SHA-256 Sum  Signature

Missed dependency in packaging?

Maybe @kdemeoz already had kcontacts installed as dependency of other PIM apps?

EDIT :

Akonadi is a dependency, so something funny going on.


[Testing Update] 2018-02-15 - Kernels, Firefox Dev, Bluez, Haskell, Python
Kmymoney not working after update
#13

Mighty impressive investigative & deductive work!

[kdemeoz@kdemeoz-pc ~]$ pacman -Qi kcontacts
Name            : kcontacts
Version         : 17.12.2-1
Description     : Address book API for KDE
Architecture    : x86_64
URL             : https://community.kde.org/KDE_PIM
Licenses        : LGPL
Groups          : None
Provides        : None
Depends On      : kcoreaddons  kconfig  ki18n  kcodecs
Optional Deps   : None
Required By     : akonadi-contacts  akonadi-search  libkgapi  libkolab
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 1467.00 KiB
Packager        : Antonio Rojas <arojas@archlinux.org>
Build Date      : Tue 06 Feb 2018 22:12:19 AEDT
Install Date    : Sat 10 Feb 2018 16:23:34 AEDT
Install Reason  : Installed as a dependency for another package
Install Script  : No
Validated By    : Signature

[kdemeoz@kdemeoz-pc ~]$ 

Funny thing is, i do not recall me choosing explicitly to install any of those things… I do not use KOffice at all.


#14

Some PIM app (ie KMail, KOrganizer, Kontact, etc) probably pulled in akonadi and in turn kcontact.


#15

fn+F1…12 hotkeys still not working. :frowning:

P.S. Make reassign keys at KDE Shortcuts and it now works fine. But :expressionless:


#16

Huh? By “KOffice” i specifically meant KMail, KOrganiser, Kontact etc. Thus, by my stating that i do NOT use KOffice, i in fact meant i do not use [= have not installed] any of those pgms. Hence, it remains a minor mystery to me.


#17

Not really, just requires a bit of blood hound sniffing about to work it out, if this is a mystery that interests you that is.

Follow your required by fields in pacman

Required By     : akonadi-contacts  akonadi-search  libkgapi  libkolab

Or install and use pactree.


#18

Finded how fix keys on my notebook.


#19

@philm

LibreOffice 5.4.5 and 6.0.1 fix an important security vulnerability. You set a link to the description of LibreOffice . Because it is no normal feature update, is it eventually possible to add the version 6.0.1 (libreoffice-fresh) from unstable to this testing update too?

I think, it’s recommended to update as soon as possible to avoid spam attacks. A more detailed article in german could be found here


#20

A sync from unstable becomes a “new” testing update. I’m sure that will happen “soon”.

Or, switch temporarily to the unstable branch.